package com.ruoyi.device.mqtt.util;

/**
 * 设备类型转换工具
 *
 * @author lwm
 */
public final class TargetTypeConvertUtil
{
    private TargetTypeConvertUtil()
    {
    }

    /**
     * 设备类型转换
     * @param targetType 设备类型（上报的初始数据）
     * @return 设备类型（转换后的数据）
     */
    public static String convert(Integer targetType)
    {
        String deviceType = Integer.toHexString(targetType);
        if (deviceType.length() == 3)
        {
            return "0" + deviceType;
        }
        return deviceType;
    }
}
